# Project on unsupervised signal/background decomposition

Structure:

* `./run` : main scripts
* `./conf` : bnn configurations
* `./data` : pickled bnns
* `./sbsep` : library functions
* `./test` : tests


to run tests: `python -m unittest discover test`

to pretrain CBNNs: `python -m run.pretrain_cbnn --config-path ./conf/sb_config.yaml` from `./`

to run SB: `python -m run.run_sb --config-path ./conf/sb_config.yaml --pretrained-folder ../data`

to plot history of a run: `python -m run.plot_history --model-name sb --history-folder ./data --config-path ./conf/sb_config.yaml --plot-steps 0 10 20`

to generate tabular data for spatial normalization function: `python -m run.generate_norm_config`